Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms
Class TibjmsXAQueueConnectionFactory

    java.lang.Object
      TibjmsxCFImpl
          com.tibco.tibjms.TibjmsXAConnectionFactory
              com.tibco.tibjms.TibjmsXAQueueConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ConnectionFactory, QueueConnectionFactory, XAConnectionFactory, XAQueueConnectionFactory, javax.naming.Referenceable

    public class TibjmsXAQueueConnectionFactory

extends TibjmsXAConnectionFactory
implements XAQueueConnectionFactory, QueueConnectionFactory, java.io.Serializable, javax.naming.Referenceable

Note: XA sessions do not support routed queues.

Constructor Summary
`TibjmsXAQueueConnectionFactory()` Constructs a new TibjmsXAQueueConnectionFactory object.
`TibjmsXAQueueConnectionFactory(java.lang.String serverUrl)` Constructs a new TibjmsXAQueueConnectionFactory object for the given URL.
`TibjmsXAQueueConnectionFactory(java.lang.String serverUrl, java.lang.String clientId)` Constructs a new TibjmsXAQueueConnectionFactory object for the given URL and client id.
`TibjmsXAQueueConnectionFactory(java.lang.String serverUrl, java.lang.String clientId, java.util.Map properties)` Constructs a new TibjmsXAQueueConnectionFactory object for the given URL and client id and properties.

Method Summary
`java.lang.Object` | `clone()`
`QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
`QueueConnection` | `createQueueConnection(java.lang.String userName, java.lang.String password)` Creates a queue connection with the specified user identity.
`XAQueueConnection` | `createXAQueueConnection()` Creates an XA queue connection with the default user identity.
`XAQueueConnection` | `createXAQueueConnection(java.lang.String userName, java.lang.String password)` Creates an XA queue connection with the specified user identity.

Methods inherited from class com.tibco.tibjms.TibjmsXAConnectionFactory
`createConnection, createConnection, createXAConnection, createXAConnection, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### TibjmsXAQueueConnectionFactory

    public TibjmsXAQueueConnectionFactory()

  Constructs a new TibjmsXAQueueConnectionFactory object.

### TibjmsXAQueueConnectionFactory

    public TibjmsXAQueueConnectionFactory(java.lang.String serverUrl)

  Constructs a new TibjmsXAQueueConnectionFactory object for the given URL.

  Parameters:
    `serverUrl` - url of the JMS server

### TibjmsXAQueueConnectionFactory

    public TibjmsXAQueueConnectionFactory(java.lang.String serverUrl,
                                          java.lang.String clientId)

  Constructs a new TibjmsXAQueueConnectionFactory object for the given URL and client id.

  Parameters:
    `serverUrl` - url of the JMS server
    `clientId` - id of the client

### TibjmsXAQueueConnectionFactory

    public TibjmsXAQueueConnectionFactory(java.lang.String serverUrl,
                                          java.lang.String clientId,
                                          java.util.Map properties)

  Constructs a new TibjmsXAQueueConnectionFactory object for the given URL and client id and properties.

  Parameters:
    `serverUrl` - url of the JMS server
    `clientId` - id of the client
    `properties` - properties object The following properties can be set in the properties object: TibjmsSSL.VENDOR TibjmsSSL.TRACE TibjmsSSL.DEBUG_TRACE TibjmsSSL.TRUSTED_CERTIFICATES TibjmsSSL.ENABLE_VERIFY_HOST TibjmsSSL.ENABLE_VERIFY_HOST_NAME TibjmsSSL.EXPECTED_HOST_NAME TibjmsSSL.HOST_NAME_VERIFIER TibjmsSSL.AUTH_ONLY TibjmsSSL.IDENTITY TibjmsSSL.IDENTITY_ENCODING TibjmsSSL.ISSUER_CERTIFICATES TibjmsSSL.PRIVATE_KEY TibjmsSSL.PRIVATE_KEY_ENCODING TibjmsSSL.PASSWORD TibjmsSSL.CIPHER_SUITES
  See Also:
    `TibjmsSSL`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `TibjmsXAConnectionFactory`
  Throws:
    `java.lang.CloneNotSupportedException`

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection()
                                              throws JMSException

  Description copied from interface: `XAQueueConnectionFactory`
  Creates an XA queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Returns:
    a newly created XA queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection(java.lang.String userName,
                                                     java.lang.String password)
                                              throws JMSException

  Description copied from interface: `XAQueueConnectionFactory`
  Creates an XA queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createXAQueueConnection` in interface `XAQueueConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Description copied from interface: `QueueConnectionFactory`
  Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called. .

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createQueueConnection

    public QueueConnection createQueueConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Description copied from interface: `QueueConnectionFactory`
  Creates a queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved